#include<bits/stdc++.h>
using namespace std;

int main()
{

    int n, m;
    cin>>n>>m;
    if(n>m)swap(n, m);
    long long dp1, dp2;

    dp1 = 1;
    for(int i=2; i<=m; i++)
    {
        dp2 = dp1 + i + 1;
        dp1=dp2;
    }

    if(n>1)
    {
        cout<<dp2*n+n*m;
    }
    else
    {
         cout<<dp2;
    }



}
